S3

GET S3 Presigned POST

get

Generate a presigned POST for uploading files directly to S3.

Upload Flow:

  1. Call this endpoint to get presigned POST URL and fields

  2. POST the file to S3 using the returned URL and fields (include file as last field)

  3. Call /api/s3/success with the key, uuid, name, and etag to confirm upload

Expiration: 5 minutes

Authorizations
X-API-KEYstringOptional
X-BUSINESS-IDstringOptional
X-USER-IDstringOptional
Query parameters
contenttypestringRequired

MIME type of the file. Examples: application/pdf, text/plain, image/png, application/json

filenamestringRequired

Name of the file to upload (e.g., 'updated-resume.pdf')

sourcestringRequired

Allowed values: field_value, form_field_value, activity_field_value, automation_value, employee_import, record_import, meta_import, smart_connector_import, knowledge_source, public_image, third_party_image

Responses
chevron-right
200Success
application/json
urlstring · uriRequired

POST destination URL for upload

s3object_idstring · uuidRequired

UUID to use when calling /api/s3/success

max_file_sizeintegerRequired

Maximum allowed file size in bytes

expires_atstring · date-timeRequired

When the presigned POST expires

get
/api/s3/presigned-post

POST S3 File upload success

post

This is where the upload will send a POST request after the file has been stored in S3.

Authorizations
X-API-KEYstringOptional
X-BUSINESS-IDstringOptional
X-USER-IDstringOptional
Query parameters
sourcestringOptional

Kind of the file (e.g. 'SMART_CONNECTOR_IMPORT')

Body
uuidstringOptional

S3 object UUID

keystringOptional

S3 object key

namestringOptional

File name

is_publicbooleanOptional

Whether the S3 object is public (default: false)

etagstringOptional

S3 object Entity Tag (ETag)

business_idstringOptional

ID of the business associated with the S3 object

Responses
chevron-right
200Success
application/json
idstring · uuidRead-onlyRequired
createdstring · date-timeRead-onlyRequired
keystringRequired
namestring · nullableOptional
urlstring · uriRequired
thumbnail_urlstring · uriRequired
size_bytesinteger · int64 · max: 9223372036854776000Optional
size_formattedstringRead-onlyRequired
content_typestring · nullableOptional
is_publicbooleanOptional
common_keystring · nullableRead-onlyRequired
is_commonbooleanRead-onlyRequired
post
/api/s3/success
200Success

Last updated

Was this helpful?